
#ifndef VARIABLES_LIB_H_
#define VARIABLES_LIB_H_

#include "include.h"

namespace libflowstar
{

// Naming system of variables

class Variables
{
protected:
	std::map<std::string,int> varTab;
	std::vector<std::string> varNames;

public:
	Variables();
	~Variables();
	Variables(const Variables & variables);

	Variables & operator = (const Variables & variables);

	bool declareVar(const std::string & vName);
	int getIDForVar(const std::string & vName) const;
	bool getVarName(std::string & vName, const int id) const;
	int size() const;

	void clear();

	void output(FILE *fp) const;

	friend class Polynomial;
	friend class TaylorModel;
	friend class Flowpipe;
	friend class ODE;
	friend class ContinuousSystem;
	friend class PolynomialConstraint;
};

}



#endif /* VARIABLES_LIB_H_ */
